# Interface Principal

All Known Implementing Classes:
  `PrincipalParser`

public interface Principal
The `Principal` interface is used to describe a user that has a name and password. This should not be confused with the `java.security.Principal` interface which does not provide `getPassword`.

Author:
  Niall Gallagher

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
The `getName` method is used to retreive the name of the principal.
`String`
`getPassword()`
The `getPassword` method is used to retrieve the password of the principal.

## Method Details

### getPassword

String getPassword()
The `getPassword` method is used to retrieve the password of the principal. This is the password tag in the RFC 2616 Authorization credentials expression.

Returns:
  this returns the password for this principal

### getName

String getName()
The `getName` method is used to retreive the name of the principal. This is the name tag in the RFC 2616 Authorization credentials expression.

Returns:
  this returns the name of this principal